Jump to content
  • 0

instalando una aplicacion


Question

3 answers to this question

Recommended Posts

  • 0

El paquete que estas intentando instalar no es un paquete hecho para distros tipo Debian las cuales usan paquetes con extension - .deb - asi deberias optar por buscar ese paquete en formato .deb, Si no lo encuentras busca por el source y intenta o bien instalarlo con el método general e instalaciones GNU/Linux -

 

./configure

make

make install

 

El repositorio que estas aderiendo a tu sources.list no instalara nada ya que tu distro no tendra gestor rpm de instalacion.

Si aún asi hubiera algun problema de quiebra de paquetes lo aconsejable es retirarlo de archivo sources.list.

 

Si eres novato te sugiero que uses más synaptic para buscar software y intalarlo.

En este caso no ay paquete .deb entonces deberias internat el método código fuente o sea normalmente son archivos comprimidos en tar.gz 

 

He hecho una busca en web y te encontre una posible instalacion via source →

https://github.com/ahjolinna/mpc-qt

 

Fijate en el texto donde dice Compiling en ese apartado tienes la informacion general para instalar el paquete por source code.

 

En la terminal :

creas un directorio - mkdir src

te mueves hacia dentro de el - cd ~/src

haces un clone del source de esa pagina en ese directorio donde estas ahora - git clone https://github.com/cmdrkotori/mpc-qt.git

te mueves a dentro del nuevo directorio y que se creo al clonar el poroyecto - cd mpc-qt

 

Ahora compilas el source en este caso varia un poco de los comandos que arriba te digo que son los generales.

haces un qmake - qmake

haces una make con opcion -j activa - make -j threads

finalmente instalas - sudo make install

 

El ultimo comando es para mediante git actualizar el source estando aún dentro del directorio→ git pull origin master

 

Si todo va bien se instalara.

 

Como eres novato segui buscando por un paquete .deb que te hiciera la vida más facil o por lo menos por intentar y di con un posible paquete que hicieron en MX-Linux - http://mxrepo.com/mx/testrepo/pool/test/m/mpc-qt/

http://mxrepo.com/mx/testrepo/pool/test/m/mpc-qt/mpc-qt_19.06-0.1~mx17+1_amd64.deb

 

Deberias bajar el paquete .deb y intentar instalar con algun programa como gdebi, si te sale problemas con dependencias no sugiero instalar ya que te podria liar un problema de paquetes obsoletos invalidandote el actualizar distro y tendrias que saber manejar synaptic para purgar y remover esos paquetes problematicos y volverias al inicio de todo otra vez.

 

 

 

Link to post
Share on other sites
  • 0
hace 3 horas, portaro dijo:

El paquete que estas intentando instalar no es un paquete hecho para distros tipo Debian las cuales usan paquetes con extension - .deb - asi deberias optar por buscar ese paquete en formato .deb, Si no lo encuentras busca por el source y intenta o bien instalarlo con el método general e instalaciones GNU/Linux -

 

./configure

make

make install

 

El repositorio que estas aderiendo a tu sources.list no instalara nada ya que tu distro no tendra gestor rpm de instalacion.

Si aún asi hubiera algun problema de quiebra de paquetes lo aconsejable es retirarlo de archivo sources.list.

 

Si eres novato te sugiero que uses más synaptic para buscar software y intalarlo.

En este caso no ay paquete .deb entonces deberias internat el método código fuente o sea normalmente son archivos comprimidos en tar.gz 

 

He hecho una busca en web y te encontre una posible instalacion via source →

https://github.com/ahjolinna/mpc-qt

 

Fijate en el texto donde dice Compiling en ese apartado tienes la informacion general para instalar el paquete por source code.

 

En la terminal :

creas un directorio - mkdir src

te mueves hacia dentro de el - cd ~/src

haces un clone del source de esa pagina en ese directorio donde estas ahora - git clone https://github.com/cmdrkotori/mpc-qt.git

te mueves a dentro del nuevo directorio y que se creo al clonar el poroyecto - cd mpc-qt

 

Ahora compilas el source en este caso varia un poco de los comandos que arriba te digo que son los generales.

haces un qmake - qmake

haces una make con opcion -j activa - make -j threads

finalmente instalas - sudo make install

 

El ultimo comando es para mediante git actualizar el source estando aún dentro del directorio→ git pull origin master

 

Si todo va bien se instalara.

 

Como eres novato segui buscando por un paquete .deb que te hiciera la vida más facil o por lo menos por intentar y di con un posible paquete que hicieron en MX-Linux - http://mxrepo.com/mx/testrepo/pool/test/m/mpc-qt/

http://mxrepo.com/mx/testrepo/pool/test/m/mpc-qt/mpc-qt_19.06-0.1~mx17+1_amd64.deb

 

Deberias bajar el paquete .deb y intentar instalar con algun programa como gdebi, si te sale problemas con dependencias no sugiero instalar ya que te podria liar un problema de paquetes obsoletos invalidandote el actualizar distro y tendrias que saber manejar synaptic para purgar y remover esos paquetes problematicos y volverias al inicio de todo otra vez.

 

 

 

Muchas gracias ahora entendi que lo que queria instalar era para otra... vendria a ser distro  .RPM de redhat y la distro que tengo es compatible con los .DEB.

Creia que todos los formatos eran compatibles. Me comentaron que con una herramienta (alien) podes transformar los paquetes rpm a deb, no se que tan bueno sea, despues lo voy a chequear.

Voy a probar las opciones que me diste.

 

Puntualmente queria instalar el mpc-qt por que es mas ligero, es para una notebook IBM thinkpad g-41 y la queria usar como reproductor multimedia conectado a la TV (tiene puerto VGA) va todo perfecto pero los video .MKV se ven trabados. por eso queria cambiar el reproductor VLC por otro mas ligero.

Pero creo que antes tendria que verificar los codec, tal ves ahi sea el problema. Vere si encuentro codecs de mkv actualizados.

 

 

Link to post
Share on other sites
  • 0

El alien si que te puede ayudar aún asi si hay dependencias diferentes en paquetes hechos para diferentes distros tendras siempre que instalar esas mismas.

Sobre el trabar de las reproduciones es más posible que sea por falta de optmizacion grafica o bien por equipamiento con prcesamiento limitado o meora limitada.

 

Si tienes la herramienta mplayer instalada usa el comando mplayer para ver si te dice algo de - tu sistema es muy lento para reporducir esto - 

mplamplayer -v /tu/camino/de/video

 

Aqui tienes un ejemplo → 

https://www.linuxquestions.org/questions/linux-desktop-74/mplayer-show-your-system-is-too-slow-to-play-this-506239/

 

Tambien podria ser tema de configuracion de reproductor.

 

 https://forum.videolan.org/viewtopic.php?t=19705

 

https://www.howtogeek.com/howto/windows/fix-for-vlc-skipping-and-lagging-playing-high-def-video-files/

Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...